libzypp 17.37.10

std::detail::detector< Default, std::void_t< Op< Args... > >, Op, Args... > Struct Template Reference

`#include <zypp-core/zyppng/meta/type_traits.h>`

## Public Types
using | value_t = std::true_type
using | type = Op<Args...>

## Detailed Description

template<class Default, template< class... > class Op, class... Args>
struct std::detail::detector< Default, std::void_t< Op< Args... > >, Op, Args... >

Definition at line 32 of file type_traits.h.

## Member Typedef Documentation

## ◆ value_t

template<class Default, template< class... > class Op, class... Args>

using std::detail::detector< Default, std::void_t< Op< Args... > >, Op, Args... >::value_t = std::true_type

Definition at line 33 of file type_traits.h.

## ◆ type

template<class Default, template< class... > class Op, class... Args>

using std::detail::detector< Default, std::void_t< Op< Args... > >, Op, Args... >::type = Op<Args...>

Definition at line 34 of file type_traits.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/meta/type_traits.h